/*==============================================================*/
/* DBMS name:      ORACLE Version 10gR2                         */
/* Created on:     27.4.2009 22:12:36                           */
/*==============================================================*/



-- Type package declaration
create or replace package PDTypes  
as
    TYPE ref_cursor IS REF CURSOR;
end;

-- Integrity package declaration
create or replace package IntegrityPackage AS
 procedure InitNestLevel;
 function GetNestLevel return number;
 procedure NextNestLevel;
 procedure PreviousNestLevel;
 end IntegrityPackage;
/

-- Integrity package definition
create or replace package body IntegrityPackage AS
 NestLevel number;

-- Procedure to initialize the trigger nest level
 procedure InitNestLevel is
 begin
 NestLevel := 0;
 end;


-- Function to return the trigger nest level
 function GetNestLevel return number is
 begin
 if NestLevel is null then
     NestLevel := 0;
 end if;
 return(NestLevel);
 end;

-- Procedure to increase the trigger nest level
 procedure NextNestLevel is
 begin
 if NestLevel is null then
     NestLevel := 0;
 end if;
 NestLevel := NestLevel + 1;
 end;

-- Procedure to decrease the trigger nest level
 procedure PreviousNestLevel is
 begin
 NestLevel := NestLevel - 1;
 end;

 end IntegrityPackage;
/


drop trigger TIB_AUTOSKOLA
/

drop trigger "TIB_DISKUSNI FORUM"
/

drop trigger "TIB_KATEGORIE OBSAHU"
/

drop trigger "TIB_SPRAVCE AUTOSKOLY"
/

drop trigger TIB_UZIVATEL
/

alter table "AKTIVACE PRODUKTU"
   drop constraint "FK_AKTIVACE-JSOU-AUTOSKOLA"
/

alter table "AKTIVACE PRODUKTU"
   drop constraint "FK_AKTIVACE-JSOU-PRODUKTY"
/

alter table AUTOSKOLA
   drop constraint "FK_AUTOSKOLA-OBJEDNANI-BALICEK"
/

alter table AUTOSKOLA
   drop constraint "FK_AUTOSKOLA-PATRI-DISKUSNI"
/

alter table AUTOSKOLA
   drop constraint "FK_AUTOSKOLA-PATRI-KATEGORIE"
/

alter table AUTOSKOLA
   drop constraint "FK_AUTOSKOLA-SPRAVUJE-SPRAVCE"
/

alter table "CLENSTVI VE SKUPINACH"
   drop constraint "FK_CLENSTVI-OBSAHUJE-UZIVATEL"
/

alter table "CLENSTVI VE SKUPINACH"
   drop constraint "FK_CLENSTVI-PATRI-SKUPINA"
/

alter table "DISKUSNI FORUM"
   drop constraint "FK_DISKUSNI-NADRAZENA-DISKUSNI"
/

alter table "DISKUSNI FORUM"
   drop constraint "FK_DISKUSNI-VLASTNI-AUTOSKOLA"
/

alter table DOKUMENT
   drop constraint "FK_DOKUMENT-OBSAHUJE-SEKCE"
/

alter table DOKUMENT
   drop constraint "FK_DOKUMENT-UPRAVIL-UZIVATEL"
/

alter table DOKUMENT
   drop constraint "FK_DOKUMENT-VYTVORIL-UZIVATEL"
/

alter table "KATEGORIE OBSAHU"
   drop constraint "FK_KATEGORIE-VLASTNI-AUTOSKOLA"
/

alter table KURZ
   drop constraint "FK_KURZ-JE-AUTOSKOLA"
/

alter table KURZ
   drop constraint "FK_KURZ-VEDENI-LEKTOR"
/

alter table LEKTOR
   drop constraint "FK_LEKTOR-LEKTORI-UZIVATEL"
/

alter table MISTO
   drop constraint "FK_MISTO-DATABAZE-AUTOSKOLA"
/

alter table "NABIZENE SLUZBY"
   drop constraint "FK_NABIZENE-JE-AUTOSKOLA"
/

alter table "NABIZENE SLUZBY"
   drop constraint "FK_NABIZENE-NABIZI-SLUZBA"
/

alter table ODPOVED
   drop constraint "FK_ODPOVED-ODPOVEDI-OTAZKA"
/

alter table ODPOVED
   drop constraint "FK_ODPOVED-ZAZNAMENAN-TEST"
/

alter table OTAZKA
   drop constraint "FK_OTAZKA-SOUVISEJICI-DOKUMENT"
/

alter table OTAZKA
   drop constraint "FK_OTAZKA-ZARAZENI-KATEGORIE"
/

alter table "PLAN AKCI"
   drop constraint "FK_PLAN-AKCE-AUTOSKOLA"
/

alter table "PLAN AKCI"
   drop constraint "FK_PLAN-ZKOUSEJICI-KOMISAR"
/

alter table "PLANOVANA VYUKA"
   drop constraint "FK_PLANOVANA-AKCE-KURZ"
/

alter table "PLANOVANA VYUKA"
   drop constraint "FK_PLANOVANA-JE-PLAN"
/

alter table PRILOHA
   drop constraint "FK_PRILOHA-ULOZIL-UZIVATEL"
/

alter table PRILOHY
   drop constraint "FK_PRILOHY-JE-DOKUMENT"
/

alter table PRILOHY
   drop constraint "FK_PRILOHY-MA-PRILOHA"
/

alter table REGISTRACE
   drop constraint "FK_REGISTRACE-UCAST-PLAN AKCI"
/

alter table REGISTRACE
   drop constraint "FK_REGISTRACE-UCASTNI-UZIVATEL"
/

alter table SEKCE
   drop constraint "FK_SEKCE-ZARAZEN-KATEGORIE"
/

alter table SEKCE
   drop constraint "FK_SEKCE-NADRAZENA-SEKCE"
/

alter table "SLEDOVANI FOR"
   drop constraint "FK_SLEDOVANI-JE-UZIVATEL"
/

alter table "SLEDOVANI FOR"
   drop constraint "FK_SLEDOVANI-SLEDUJE-DISKUSNI"
/

alter table "SLOZENI BALICKU"
   drop constraint "FK_SLOZENI-JE-BALICEK"
/

alter table "SLOZENI BALICKU"
   drop constraint "FK_SLOZENI-JE-PRODUKT"
/

alter table "SLOZENI TESTU"
   drop constraint "FK_SLOZENI-JE-DRUH"
/

alter table "SLOZENI TESTU"
   drop constraint "FK_SLOZENI-OBSAHUJE-KATEGORIE"
/

alter table SLUZBA
   drop constraint "FK_SLUZBA-NADRAZENE-SLUZBA"
/

alter table "SPRAVA FOR"
   drop constraint "FK_SPRAVUJEFORUM-UZIVATEL"
/

alter table "SPRAVA FOR"
   drop constraint "FK_SPRAVA-SPRAVUJE-DISKUSNI"
/

alter table "SPRAVA SEKCI"
   drop constraint "FK_SPRAVUJESEKCI-UZIVATEL"
/

alter table "SPRAVA SEKCI"
   drop constraint "FK_SPRAVA-SPRAVUJE2-SEKCE"
/

alter table "SPRAVCE AUTOSKOLY"
   drop constraint "FK_SPRAVCE-MA-AUTOSKOLA"
/

alter table "SPRAVCE AUTOSKOLY"
   drop constraint "FK_SPRAVCE-MUZE-UZIVATEL"
/

alter table TEST
   drop constraint "FK_TEST-NA SKUPINU-DRUH"
/

alter table TEST
   drop constraint "FK_TEST-PRIRAZENI-UZIVATEL"
/

alter table UMISTENI
   drop constraint "FK_UMISTENI-NADRAZENE-UMISTENI"
/

alter table "UMISTENI AKCI"
   drop constraint "FK_UMISTENI-AKCE-PLAN"
/

alter table "UMISTENI AKCI"
   drop constraint "FK_UMISTENI-AKCE-MISTO"
/

alter table "UMISTENI AUTOSKOL"
   drop constraint "FK_UMISTENI-SE-AUTOSKOLA"
/

alter table "UMISTENI AUTOSKOL"
   drop constraint "FK_UMISTENI-SE-UMISTENI"
/

alter table UZIVATEL
   drop constraint "FK_UZIVATEL-JE-SPRAVCE"
/

alter table "VEDENI AKCI"
   drop constraint "FK_VEDENI-VEDE-PLAN"
/

alter table "VEDENI AKCI"
   drop constraint "FK_VEDENI-VYUKA-LEKTOR"
/

alter table ZAK
   drop constraint "FK_ZAK-ZACI-UZIVATEL"
/

alter table "ZARAZENI DO KURZU"
   drop constraint "FK_ZARAZENI-NAVSTEVUJE-KURZ"
/

alter table "ZARAZENI DO KURZU"
   drop constraint "FK_ZARAZENI-NAVSTEVUJI-ZAK"
/

alter table ZPRAVA
   drop constraint "FK_ZPRAVA-NAPSAL-UZIVATEL"
/

alter table ZPRAVA
   drop constraint "FK_ZPRAVA-REAKCE-ZPRAVA"
/

alter table ZPRAVA
   drop constraint "FK_ZPRAVA-SOUKROMA-UZIVATEL"
/

alter table ZPRAVA
   drop constraint "FK_ZPRAVA-UPRAVIL-UZIVATEL"
/

alter table ZPRAVA
   drop constraint "FK_ZPRAVA-ZARAZENI-DISKUSNI"
/

drop index "FK_AKTIVACE PRODUKTU2"
/

drop index "FK_AKTIVACE PRODUKTU"
/

drop table "AKTIVACE PRODUKTU" cascade constraints
/

drop index FK_AUTOSKOLA4
/

drop index FK_AUTOSKOLA3
/

drop index FK_AUTOSKOLA2
/

drop index FK_AUTOSKOLA
/

drop table AUTOSKOLA cascade constraints
/

drop table BALICEK cascade constraints
/

drop index "FK_CLENSTVI VE SKUPINACH2"
/

drop index "FK_CLENSTVI VE SKUPINACH"
/

drop table "CLENSTVI VE SKUPINACH" cascade constraints
/

drop index "FK_DISKUSNI FORUM2"
/

drop index "FK_DISKUSNI FORUM"
/

drop table "DISKUSNI FORUM" cascade constraints
/

drop index FK_DOKUMENT3
/

drop index FK_DOKUMENT2
/

drop index FK_DOKUMENT
/

drop table DOKUMENT cascade constraints
/

drop table DRUH cascade constraints
/

drop table KATEGORIE cascade constraints
/

drop index "FK_KATEGORIE OBSAHU"
/

drop table "KATEGORIE OBSAHU" cascade constraints
/

drop table KOMISAR cascade constraints
/

drop index FK_KURZ2
/

drop index FK_KURZ
/

drop table KURZ cascade constraints
/

drop index FK_LEKTOR
/

drop table LEKTOR cascade constraints
/

drop index FK_MISTO
/

drop table MISTO cascade constraints
/

drop index "FK_NABIZENE SLUZBY2"
/

drop index "FK_NABIZENE SLUZBY"
/

drop table "NABIZENE SLUZBY" cascade constraints
/

drop index FK_ODPOVED2
/

drop index FK_ODPOVED
/

drop table ODPOVED cascade constraints
/

drop index FK_OTAZKA2
/

drop index FK_OTAZKA
/

drop table OTAZKA cascade constraints
/

drop index "FK_PLAN AKCI2"
/

drop index "FK_PLAN AKCI"
/

drop table "PLAN AKCI" cascade constraints
/

drop index "FK_PLANOVANA VYUKA2"
/

drop index "FK_PLANOVANA VYUKA"
/

drop table "PLANOVANA VYUKA" cascade constraints
/

drop index FK_PRILOHA
/

drop table PRILOHA cascade constraints
/

drop index FK_PRILOHY2
/

drop index FK_PRILOHY
/

drop table PRILOHY cascade constraints
/

drop table PRODUKT cascade constraints
/

drop index FK_REGISTRACE2
/

drop index FK_REGISTRACE
/

drop table REGISTRACE cascade constraints
/

drop index FK_SEKCE2
/

drop index FK_SEKCE
/

drop table SEKCE cascade constraints
/

drop table SKUPINA cascade constraints
/

drop index "FK_SLEDOVANI FOR2"
/

drop index "FK_SLEDOVANI FOR"
/

drop table "SLEDOVANI FOR" cascade constraints
/

drop index "FK_SLOZENI BALICKU2"
/

drop index "FK_SLOZENI BALICKU"
/

drop table "SLOZENI BALICKU" cascade constraints
/

drop index "FK_SLOZENI TESTU2"
/

drop index "FK_SLOZENI TESTU"
/

drop table "SLOZENI TESTU" cascade constraints
/

drop index FK_SLUZBA
/

drop table SLUZBA cascade constraints
/

drop index "FK_SPRAVA FOR2"
/

drop index "FK_SPRAVA FOR"
/

drop table "SPRAVA FOR" cascade constraints
/

drop index "FK_SPRAVA SEKCI2"
/

drop index "FK_SPRAVA SEKCI"
/

drop table "SPRAVA SEKCI" cascade constraints
/

drop index "FK_SPRAVCE AUTOSKOLY2"
/

drop index "FK_SPRAVCE AUTOSKOLY"
/

drop table "SPRAVCE AUTOSKOLY" cascade constraints
/

drop index FK_TEST2
/

drop index FK_TEST
/

drop table TEST cascade constraints
/

drop index FK_UMISTENI
/

drop table UMISTENI cascade constraints
/

drop index "FK_UMISTENI AKCI2"
/

drop index "FK_UMISTENI AKCI"
/

drop table "UMISTENI AKCI" cascade constraints
/

drop index "FK_UMISTENI AUTOSKOL2"
/

drop index "FK_UMISTENI AUTOSKOL"
/

drop table "UMISTENI AUTOSKOL" cascade constraints
/

drop index FK_UZIVATEL
/

drop table UZIVATEL cascade constraints
/

drop index "FK_VEDENI AKCI2"
/

drop index "FK_VEDENI AKCI"
/

drop table "VEDENI AKCI" cascade constraints
/

drop index FK_ZAK
/

drop table ZAK cascade constraints
/

drop index "FK_ZARAZENI DO KURZU2"
/

drop index "FK_ZARAZENI DO KURZU"
/

drop table "ZARAZENI DO KURZU" cascade constraints
/

drop index FK_ZPRAVA5
/

drop index FK_ZPRAVA4
/

drop index FK_ZPRAVA3
/

drop index FK_ZPRAVA2
/

drop index FK_ZPRAVA
/

drop table ZPRAVA cascade constraints
/

start AKTIVACE PRODUKTU.sql
/

start AUTOSKOLA.sql
/

start BALICEK.sql
/

start CLENSTVI VE SKUPINACH.sql
/

start DISKUSNI FORUM.sql
/

start DOKUMENT.sql
/

start DRUH.sql
/

start KATEGORIE.sql
/

start KATEGORIE OBSAHU.sql
/

start KOMISAR.sql
/

start KURZ.sql
/

start LEKTOR.sql
/

start MISTO.sql
/

start NABIZENE SLUZBY.sql
/

start ODPOVED.sql
/

start OTAZKA.sql
/

start PLAN AKCI.sql
/

start PLANOVANA VYUKA.sql
/

start PRILOHA.sql
/

start PRILOHY.sql
/

start PRODUKT.sql
/

start REGISTRACE.sql
/

start SEKCE.sql
/

start SKUPINA.sql
/

start SLEDOVANI FOR.sql
/

start SLOZENI BALICKU.sql
/

start SLOZENI TESTU.sql
/

start SLUZBA.sql
/

start SPRAVA FOR.sql
/

start SPRAVA SEKCI.sql
/

start SPRAVCE AUTOSKOLY.sql
/

start TEST.sql
/

start UMISTENI.sql
/

start UMISTENI AKCI.sql
/

start UMISTENI AUTOSKOL.sql
/

start UZIVATEL.sql
/

start VEDENI AKCI.sql
/

start ZAK.sql
/

start ZARAZENI DO KURZU.sql
/

start ZPRAVA.sql
/

alter table "AKTIVACE PRODUKTU"
   add constraint "FK_AKTIVACE-JSOU-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table "AKTIVACE PRODUKTU"
   add constraint "FK_AKTIVACE-JSOU-PRODUKTY" foreign key (ID_PRODUKT)
      references PRODUKT (ID_PRODUKT)
/

alter table AUTOSKOLA
   add constraint "FK_AUTOSKOLA-OBJEDNANI-BALICEK" foreign key (ID_BALICEK)
      references BALICEK (ID_BALICEK)
/

alter table AUTOSKOLA
   add constraint "FK_AUTOSKOLA-PATRI-DISKUSNI" foreign key (ID_FORUM)
      references "DISKUSNI FORUM" (ID_FORUM)
/

alter table AUTOSKOLA
   add constraint "FK_AUTOSKOLA-PATRI-KATEGORIE" foreign key (ID_KATEGORIE_OBSAHU)
      references "KATEGORIE OBSAHU" (ID_KATEGORIE_OBSAHU)
/

alter table AUTOSKOLA
   add constraint "FK_AUTOSKOLA-SPRAVUJE-SPRAVCE" foreign key (ID_AUTOSKOLA2, ID_SPRAVCE)
      references "SPRAVCE AUTOSKOLY" (ID_AUTOSKOLA, ID_SPRAVCE)
/

alter table "CLENSTVI VE SKUPINACH"
   add constraint "FK_CLENSTVI-OBSAHUJE-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table "CLENSTVI VE SKUPINACH"
   add constraint "FK_CLENSTVI-PATRI-SKUPINA" foreign key (ID_SKUPINA)
      references SKUPINA (ID_SKUPINA)
/

alter table "DISKUSNI FORUM"
   add constraint "FK_DISKUSNI-NADRAZENA-DISKUSNI" foreign key (ID_FORUM2)
      references "DISKUSNI FORUM" (ID_FORUM)
/

alter table "DISKUSNI FORUM"
   add constraint "FK_DISKUSNI-VLASTNI-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table DOKUMENT
   add constraint "FK_DOKUMENT-OBSAHUJE-SEKCE" foreign key (ID_SEKCE)
      references SEKCE (ID_SEKCE)
/

alter table DOKUMENT
   add constraint "FK_DOKUMENT-UPRAVIL-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table DOKUMENT
   add constraint "FK_DOKUMENT-VYTVORIL-UZIVATEL" foreign key (ID_UZIVATEL2)
      references UZIVATEL (ID_UZIVATEL)
/

alter table "KATEGORIE OBSAHU"
   add constraint "FK_KATEGORIE-VLASTNI-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table KURZ
   add constraint "FK_KURZ-JE-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table KURZ
   add constraint "FK_KURZ-VEDENI-LEKTOR" foreign key (ID_LEKTOR)
      references LEKTOR (ID_LEKTOR)
/

alter table LEKTOR
   add constraint "FK_LEKTOR-LEKTORI-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table MISTO
   add constraint "FK_MISTO-DATABAZE-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table "NABIZENE SLUZBY"
   add constraint "FK_NABIZENE-JE-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table "NABIZENE SLUZBY"
   add constraint "FK_NABIZENE-NABIZI-SLUZBA" foreign key (ID_SLUZBA)
      references SLUZBA (ID_SLUZBA)
/

alter table ODPOVED
   add constraint "FK_ODPOVED-ODPOVEDI-OTAZKA" foreign key (ID_OTAZKA)
      references OTAZKA (ID_OTAZKA)
/

alter table ODPOVED
   add constraint "FK_ODPOVED-ZAZNAMENAN-TEST" foreign key (ID_TEST)
      references TEST (ID_TEST)
/

alter table OTAZKA
   add constraint "FK_OTAZKA-SOUVISEJICI-DOKUMENT" foreign key (ID_DOKUMENT)
      references DOKUMENT (ID_DOKUMENT)
/

alter table OTAZKA
   add constraint "FK_OTAZKA-ZARAZENI-KATEGORIE" foreign key (ID_KATEGORIE)
      references KATEGORIE (ID_KATEGORIE)
/

alter table "PLAN AKCI"
   add constraint "FK_PLAN-AKCE-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table "PLAN AKCI"
   add constraint "FK_PLAN-ZKOUSEJICI-KOMISAR" foreign key (ID_KOMISAR)
      references KOMISAR (ID_KOMISAR)
/

alter table "PLANOVANA VYUKA"
   add constraint "FK_PLANOVANA-AKCE-KURZ" foreign key (ID_AUTOSKOLA2, ID_KURZ)
      references KURZ (ID_AUTOSKOLA, ID_KURZ)
/

alter table "PLANOVANA VYUKA"
   add constraint "FK_PLANOVANA-JE-PLAN" foreign key (ID_AUTOSKOLA, ID_AKCE)
      references "PLAN AKCI" (ID_AUTOSKOLA, ID_AKCE)
/

alter table PRILOHA
   add constraint "FK_PRILOHA-ULOZIL-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table PRILOHY
   add constraint "FK_PRILOHY-JE-DOKUMENT" foreign key (ID_DOKUMENT)
      references DOKUMENT (ID_DOKUMENT)
/

alter table PRILOHY
   add constraint "FK_PRILOHY-MA-PRILOHA" foreign key (ID_PRILOHA)
      references PRILOHA (ID_PRILOHA)
/

alter table REGISTRACE
   add constraint "FK_REGISTRACE-UCAST-PLAN AKCI" foreign key (ID_AUTOSKOLA, ID_AKCE)
      references "PLAN AKCI" (ID_AUTOSKOLA, ID_AKCE)
/

alter table REGISTRACE
   add constraint "FK_REGISTRACE-UCASTNI-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table SEKCE
   add constraint "FK_SEKCE-ZARAZEN-KATEGORIE" foreign key (ID_KATEGORIE_OBSAHU)
      references "KATEGORIE OBSAHU" (ID_KATEGORIE_OBSAHU)
/

alter table SEKCE
   add constraint "FK_SEKCE-NADRAZENA-SEKCE" foreign key (ID_SEKCE2)
      references SEKCE (ID_SEKCE)
/

alter table "SLEDOVANI FOR"
   add constraint "FK_SLEDOVANI-JE-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table "SLEDOVANI FOR"
   add constraint "FK_SLEDOVANI-SLEDUJE-DISKUSNI" foreign key (ID_FORUM)
      references "DISKUSNI FORUM" (ID_FORUM)
/

alter table "SLOZENI BALICKU"
   add constraint "FK_SLOZENI-JE-BALICEK" foreign key (ID_BALICEK)
      references BALICEK (ID_BALICEK)
/

alter table "SLOZENI BALICKU"
   add constraint "FK_SLOZENI-JE-PRODUKT" foreign key (ID_PRODUKT)
      references PRODUKT (ID_PRODUKT)
/

alter table "SLOZENI TESTU"
   add constraint "FK_SLOZENI-JE-DRUH" foreign key (ID_DRUH)
      references DRUH (ID_DRUH)
/

alter table "SLOZENI TESTU"
   add constraint "FK_SLOZENI-OBSAHUJE-KATEGORIE" foreign key (ID_KATEGORIE)
      references KATEGORIE (ID_KATEGORIE)
/

alter table SLUZBA
   add constraint "FK_SLUZBA-NADRAZENE-SLUZBA" foreign key (ID_SLUZBA2)
      references SLUZBA (ID_SLUZBA)
/

alter table "SPRAVA FOR"
   add constraint "FK_SPRAVUJEFORUM-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table "SPRAVA FOR"
   add constraint "FK_SPRAVA-SPRAVUJE-DISKUSNI" foreign key (ID_FORUM)
      references "DISKUSNI FORUM" (ID_FORUM)
/

alter table "SPRAVA SEKCI"
   add constraint "FK_SPRAVUJESEKCI-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table "SPRAVA SEKCI"
   add constraint "FK_SPRAVA-SPRAVUJE2-SEKCE" foreign key (ID_SEKCE)
      references SEKCE (ID_SEKCE)
/

alter table "SPRAVCE AUTOSKOLY"
   add constraint "FK_SPRAVCE-MA-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table "SPRAVCE AUTOSKOLY"
   add constraint "FK_SPRAVCE-MUZE-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table TEST
   add constraint "FK_TEST-NA SKUPINU-DRUH" foreign key (ID_DRUH)
      references DRUH (ID_DRUH)
/

alter table TEST
   add constraint "FK_TEST-PRIRAZENI-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table UMISTENI
   add constraint "FK_UMISTENI-NADRAZENE-UMISTENI" foreign key (ID_UMISTENI2)
      references UMISTENI (ID_UMISTENI)
/

alter table "UMISTENI AKCI"
   add constraint "FK_UMISTENI-AKCE-PLAN" foreign key (ID_AUTOSKOLA, ID_AKCE)
      references "PLAN AKCI" (ID_AUTOSKOLA, ID_AKCE)
/

alter table "UMISTENI AKCI"
   add constraint "FK_UMISTENI-AKCE-MISTO" foreign key (ID_AUTOSKOLA2, ID_MISTO)
      references MISTO (ID_AUTOSKOLA, ID_MISTO)
/

alter table "UMISTENI AUTOSKOL"
   add constraint "FK_UMISTENI-SE-AUTOSKOLA" foreign key (ID_AUTOSKOLA)
      references AUTOSKOLA (ID_AUTOSKOLA)
/

alter table "UMISTENI AUTOSKOL"
   add constraint "FK_UMISTENI-SE-UMISTENI" foreign key (ID_UMISTENI)
      references UMISTENI (ID_UMISTENI)
/

alter table UZIVATEL
   add constraint "FK_UZIVATEL-JE-SPRAVCE" foreign key (ID_AUTOSKOLA, ID_SPRAVCE)
      references "SPRAVCE AUTOSKOLY" (ID_AUTOSKOLA, ID_SPRAVCE)
/

alter table "VEDENI AKCI"
   add constraint "FK_VEDENI-VEDE-PLAN" foreign key (ID_AUTOSKOLA, ID_AKCE)
      references "PLAN AKCI" (ID_AUTOSKOLA, ID_AKCE)
/

alter table "VEDENI AKCI"
   add constraint "FK_VEDENI-VYUKA-LEKTOR" foreign key (ID_LEKTOR)
      references LEKTOR (ID_LEKTOR)
/

alter table ZAK
   add constraint "FK_ZAK-ZACI-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table "ZARAZENI DO KURZU"
   add constraint "FK_ZARAZENI-NAVSTEVUJE-KURZ" foreign key (ID_AUTOSKOLA, ID_KURZ)
      references KURZ (ID_AUTOSKOLA, ID_KURZ)
/

alter table "ZARAZENI DO KURZU"
   add constraint "FK_ZARAZENI-NAVSTEVUJI-ZAK" foreign key (ID_ZAK)
      references ZAK (ID_ZAK)
/

alter table ZPRAVA
   add constraint "FK_ZPRAVA-NAPSAL-UZIVATEL" foreign key (ID_UZIVATEL2)
      references UZIVATEL (ID_UZIVATEL)
/

alter table ZPRAVA
   add constraint "FK_ZPRAVA-REAKCE-ZPRAVA" foreign key (ID_FORUM2, ID_ZPRAVA2)
      references ZPRAVA (ID_FORUM, ID_ZPRAVA)
/

alter table ZPRAVA
   add constraint "FK_ZPRAVA-SOUKROMA-UZIVATEL" foreign key (ID_UZIVATEL)
      references UZIVATEL (ID_UZIVATEL)
/

alter table ZPRAVA
   add constraint "FK_ZPRAVA-UPRAVIL-UZIVATEL" foreign key (ID_UZIVATEL3)
      references UZIVATEL (ID_UZIVATEL)
/

alter table ZPRAVA
   add constraint "FK_ZPRAVA-ZARAZENI-DISKUSNI" foreign key (ID_FORUM)
      references "DISKUSNI FORUM" (ID_FORUM)
/


create trigger TIB_AUTOSKOLA before insert
on AUTOSKOLA for each row
declare
    integrity_error  exception;
    errno            integer;
    errmsg           char(200);
    dummy            integer;
    found            boolean;

begin

--  Errors handling
exception
    when integrity_error then
       raise_application_error(errno, errmsg);
end;
/


create trigger "TIB_DISKUSNI FORUM" before insert
on "DISKUSNI FORUM" for each row
declare
    integrity_error  exception;
    errno            integer;
    errmsg           char(200);
    dummy            integer;
    found            boolean;

begin

--  Errors handling
exception
    when integrity_error then
       raise_application_error(errno, errmsg);
end;
/


create trigger "TIB_KATEGORIE OBSAHU" before insert
on "KATEGORIE OBSAHU" for each row
declare
    integrity_error  exception;
    errno            integer;
    errmsg           char(200);
    dummy            integer;
    found            boolean;

begin

--  Errors handling
exception
    when integrity_error then
       raise_application_error(errno, errmsg);
end;
/


create trigger "TIB_SPRAVCE AUTOSKOLY" before insert
on "SPRAVCE AUTOSKOLY" for each row
declare
    integrity_error  exception;
    errno            integer;
    errmsg           char(200);
    dummy            integer;
    found            boolean;

begin

--  Errors handling
exception
    when integrity_error then
       raise_application_error(errno, errmsg);
end;
/


create trigger TIB_UZIVATEL before insert
on UZIVATEL for each row
declare
    integrity_error  exception;
    errno            integer;
    errmsg           char(200);
    dummy            integer;
    found            boolean;

begin

--  Errors handling
exception
    when integrity_error then
       raise_application_error(errno, errmsg);
end;
/

