/*==============================================================*/
/* DBMS name:      ORACLE Version 10gR2                         */
/* Created on:     27.4.2009 22:12:36                           */
/*==============================================================*/


/*==============================================================*/
/* Table: OTAZKA                                                */
/*==============================================================*/
create table OTAZKA  (
   ID_OTAZKA            INTEGER                         not null,
   ID_DOKUMENT          INTEGER,
   ID_KATEGORIE         INTEGER                         not null,
   TEXT_OTAZKY          VARCHAR2(1024),
   ODPOVED_A            VARCHAR2(1024),
   ODPOVED_B            VARCHAR2(1024),
   ODPOVED_C            VARCHAR2(1024),
   ODPOVED_D            VARCHAR2(1024),
   OBRAZEK_OTAZKY       VARCHAR2(256),
   OBRAZEK_A            VARCHAR2(256),
   OBRAZEK_B            VARCHAR2(256),
   OBRAZEK_C            VARCHAR2(256),
   OBRAZEK_D            VARCHAR2(256),
   SPRAVNA_A            SMALLINT                       default 0
      constraint CKC_SPRAVNA_A_OTAZKA check (SPRAVNA_A is null or (SPRAVNA_A in (0,1,-1))),
   SPRAVNA_B            SMALLINT                       default 0
      constraint CKC_SPRAVNA_B_OTAZKA check (SPRAVNA_B is null or (SPRAVNA_B in (0,1,-1))),
   SPRAVNA_C            SMALLINT                       default 0
      constraint CKC_SPRAVNA_C_OTAZKA check (SPRAVNA_C is null or (SPRAVNA_C in (0,1,-1))),
   SPRAVNA_D            SMALLINT                       default 0
      constraint CKC_SPRAVNA_D_OTAZKA check (SPRAVNA_D is null or (SPRAVNA_D in (0,1,-1))),
   AKTIVNI              SMALLINT                       default 1
      constraint CKC_AKTIVNI_OTAZKA check (AKTIVNI is null or (AKTIVNI in (0,1))),
   constraint PK_OTAZKA primary key (ID_OTAZKA)
)
/

comment on table OTAZKA is
'Obsahuje seznam otzek, jejich odpovd a oznaen sprvnch odpovd'
/

/*==============================================================*/
/* Index: FK_OTAZKA                                             */
/*==============================================================*/
create index FK_OTAZKA on OTAZKA (
   ID_KATEGORIE ASC
)
/

/*==============================================================*/
/* Index: FK_OTAZKA2                                            */
/*==============================================================*/
create index FK_OTAZKA2 on OTAZKA (
   ID_DOKUMENT ASC
)
/

