/*==============================================================*/
/* DBMS name:      ORACLE Version 10gR2                         */
/* Created on:     27.4.2009 22:12:36                           */
/*==============================================================*/


/*==============================================================*/
/* Table: "PLAN AKCI"                                           */
/*==============================================================*/
create table "PLAN AKCI"  (
   ID_AUTOSKOLA         INTEGER                         not null,
   ID_AKCE              INTEGER                         not null,
   ID_KOMISAR           INTEGER,
   KATEGORIE            VARCHAR2(255)                   not null,
   DATUM_POCATKU        DATE,
   DATUM_KONCE          DATE,
   HODINA_POCATKU       DATE,
   HODINA_KONCE         DATE,
   NAZEV                VARCHAR2(255),
   POPIS                VARCHAR2(1024),
   REGISTRACE           SMALLINT,
   ODREGISTRACE         SMALLINT,
   DEN_ODREGISTRACE     DATE,
   KAPACITA             INTEGER,
   FREKVENCE_OPAKOVANI  VARCHAR2(24),
   DEN_V_TYDNU          VARCHAR2(12),
   KONEC_OPAKOVANI      DATE,
   AKTIVNI              SMALLINT                       default 1 not null
      constraint "CKC_AKTIVNI_PLAN AKC" check (AKTIVNI in (0,1)),
   constraint "PK_PLAN AKCI" primary key (ID_AUTOSKOLA, ID_AKCE)
)
/

/*==============================================================*/
/* Index: "FK_PLAN AKCI"                                        */
/*==============================================================*/
create index "FK_PLAN AKCI" on "PLAN AKCI" (
   ID_KOMISAR ASC
)
/

/*==============================================================*/
/* Index: "FK_PLAN AKCI2"                                       */
/*==============================================================*/
create index "FK_PLAN AKCI2" on "PLAN AKCI" (
   ID_AUTOSKOLA ASC
)
/

