/*==============================================================*/
/* DBMS name:      ORACLE Version 10gR2                         */
/* Created on:     27.4.2009 22:12:36                           */
/*==============================================================*/


/*==============================================================*/
/* Table: ZPRAVA                                                */
/*==============================================================*/
create table ZPRAVA  (
   ID_FORUM             INTEGER                         not null,
   ID_ZPRAVA            INTEGER                         not null,
   ID_UZIVATEL          INTEGER,
   ID_UZIVATEL2         INTEGER                         not null,
   ID_UZIVATEL3         INTEGER,
   ID_FORUM2            INTEGER,
   ID_ZPRAVA2           INTEGER,
   TEXT_ZPRAVY          VARCHAR2(1024)                  not null,
   TITULEK_ZPRAVY       VARCHAR2(255),
   CAS_ODESLANI         DATE                            not null,
   CAS_UPRAVY           DATE,
   IP                   VARCHAR2(15),
   PUBLIKOVANO          SMALLINT                        not null,
   DUVOD_ODSTRANENI     VARCHAR2(255),
   constraint PK_ZPRAVA primary key (ID_FORUM, ID_ZPRAVA)
)
/

comment on table ZPRAVA is
'Zaznamenv jednotliv zprvy v diskusnm fru'
/

/*==============================================================*/
/* Index: FK_ZPRAVA                                             */
/*==============================================================*/
create index FK_ZPRAVA on ZPRAVA (
   ID_FORUM ASC
)
/

/*==============================================================*/
/* Index: FK_ZPRAVA2                                            */
/*==============================================================*/
create index FK_ZPRAVA2 on ZPRAVA (
   ID_UZIVATEL2 ASC
)
/

/*==============================================================*/
/* Index: FK_ZPRAVA3                                            */
/*==============================================================*/
create index FK_ZPRAVA3 on ZPRAVA (
   ID_UZIVATEL3 ASC
)
/

/*==============================================================*/
/* Index: FK_ZPRAVA4                                            */
/*==============================================================*/
create index FK_ZPRAVA4 on ZPRAVA (
   ID_UZIVATEL ASC
)
/

/*==============================================================*/
/* Index: FK_ZPRAVA5                                            */
/*==============================================================*/
create index FK_ZPRAVA5 on ZPRAVA (
   ID_FORUM2 ASC,
   ID_ZPRAVA2 ASC
)
/

